%define lib_major 12
%define version_major 13
%define lib_name %mklibname %{name} %{lib_major}

Summary: A free client-side implementation of HBCI
Name: openhbci
Version: 0.9.13
Release: 1mdk
Source0: http://download.sourceforge.net/openhbci/%{name}-%{version}.tar.bz2
# (fc) 0.9.11-1mdk don't put version in plugin soname
Patch0:	openhbci-0.9.11-modules.patch.bz2
Group: System/Libraries
License: LGPL
URL: http://www.openhbci.de/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: openssl-devel
BuildRequires: autoconf2.5
BuildRequires: automake1.7

%description
OpenHBCI is the first free client-side implementation of the HBCI
specification. HBCI (Home Banking Computer Interface) is the German
homebanking standard used by many German banks.  For chipcard support,
libchipcard (http://www.libchipcard.de) is needed.  For actual
homebanking, use an application like AqMoney (http://aqmoney.sf.net)
or GnuCash (http://www.gnucash.org)

%package -n %{lib_name}
Summary:        Libraries for openhbci
Group:          System/Libraries

%description -n %{lib_name}
This package provides libraries to use openhbci.

%package -n %{lib_name}-devel
Group:	Development/C++
Summary: Libraries needed to develop for openhbci
Requires: %{lib_name} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
Libraries needed to develop for openhbci.


%prep
%setup -q
%patch0 -p1 -b .modules

#needed by patch0
aclocal-1.7
automake-1.7

%build
%configure2_5x --enable-static=no --with-plugin-path=%{_libdir}/openhbci/plugins

%make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/openhbci/plugins/%{version_major}/media/*.la

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc README TODO COPYING ChangeLog
%{_libdir}/*.so.*
%dir %{_libdir}/openhbci
%dir %{_libdir}/openhbci/plugins
%dir %{_libdir}/openhbci/plugins/%{version_major}
%dir %{_libdir}/openhbci/plugins/%{version_major}/media
%{_libdir}/openhbci/plugins/%{version_major}/media/*.so

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_bindir}/openhbci-config
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/aclocal/*

%changelog
* Wed Aug 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.9.13-1mdk
- Release 0.9.13

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.9.12-1mdk
- Release 0.9.12

* Wed Jun  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.9.11-1mdk
- Release 0.9.11

* Wed May  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.9.9-2mdk
- Fix BuildRequires

* Thu Apr  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.9.9-1mdk
- Release 0.9.9

* Tue Feb 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-1mdk
- Release 0.9.7

* Tue Feb  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.6-1mdk
- Initial Mdk package


